#!/usr/bin/perl

use strict;
use warnings;

use English qw(-no_match_vars);
use Test::More;
use UNIVERSAL::require;

plan(skip_all => 'Test::Compile required')
    unless Test::Compile->require();

my $test = Test::Compile->new();
ok(
    $test->pl_file_compiles($_),
    $_
) foreach qw(bin/access-check-manager.cgi bin/access-check-manager.pl);
ok(
    $test->pm_file_compiles($_),
    $_
) foreach $test->all_pm_files('lib');
$test->done_testing();
